Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Class StandardizerAPIHelper

    java.lang.Object
      com.sun.mdm.index.matching.StandardizerAPIHelper

public class StandardizerAPIHelper
extends java.lang.Object

A Helper class to load the configured implementation class as configured for the standardizer api component

Constructor Summary
`StandardizerAPIHelper()` Creates new StandardizationAPIHelper

Method Summary
`(package private) MEFAFactory` | `getMEFAFactory()` Helper to load and instantiate MEFA classes
`StandardizerAPI` | `getStandardizerAPIImpl()` Load the configured implementation class and instantiate it.
`StandardizerEngineConfiguration` | `getStandardizerEngineConfigImpl()` Load the configured implementation class and instantiate it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardizerAPIHelper

    public StandardizerAPIHelper()

  Creates new StandardizationAPIHelper

Method Detail

### getMEFAFactory

    MEFAFactory getMEFAFactory()

  Helper to load and instantiate MEFA classes

  Returns:
    MEFAFactory to help loading and instantiating MEFA classes

### getStandardizerAPIImpl

    public StandardizerAPI getStandardizerAPIImpl()
                                           throws java.lang.InstantiationException,
                                                  java.lang.ClassNotFoundException,
                                                  java.lang.IllegalAccessException

  Load the configured implementation class and instantiate it.

  Returns:
    an instance of the configured StandardizerAPI implementation class
  Throws:
    `java.lang.InstantiationException` - Instantiating the configured class failed
    `java.lang.ClassNotFoundException` - Loading the configured class failed
    `java.lang.IllegalAccessException` - Loading/Instantiating the configured class is not allowed by the current security settings

### getStandardizerEngineConfigImpl

    public StandardizerEngineConfiguration getStandardizerEngineConfigImpl()
                                                                    throws java.lang.InstantiationException,
                                                                           java.lang.ClassNotFoundException,
                                                                           java.lang.IllegalAccessException

  Load the configured implementation class and instantiate it.

  Returns:
    an instance of the configured StandardizerEngineConfiguration implementation class
  Throws:
    `java.lang.InstantiationException` - Instantiating the configured class failed
    `java.lang.ClassNotFoundException` - Loading the configured class failed
    `java.lang.IllegalAccessException` - Loading/Instantiating the configured class is not allowed by the current security settings

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.